For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETGet Order
      • GETGet Shipment Logs
      • POSTMark Tracking Uploaded
      • GETGet All Shipments for Order
      • GETGet Order Store Data
      • POSTEstimate Fulfillment Cost For Order
      • GETGet Orders
      • POSTCreate Order
      • POSTCancel Shipment
      • POSTCancel Shipment by Order ID and Shipment ID
      • GETGet Shipping Methods
      • POSTCancel Order
      • GETGet Shipment Logs by Order ID and Shipment ID
      • GETGet Shipment Status Timeline by Order ID and Shipment ID
      • GETGet Shipment Timeline
      • GETGet Shipment
      • POSTBatch Cancel Shipments
      • GETGet Shipment by Order ID and Shipment ID
      • PUTBulk Update Shipping Service
      • POSTUpdate Shipment Line Items
      • PUTUpdate Shipment Address
      • GETGet Shipment Line Items
      • GETGet Completely Cancelled Orders
      • POSTEstimate Delivery Date
LogoLogo
API ReferenceOrders

Bulk Update Shipping Service

||View as Markdown|
PUT
https://sandbox-api.shipbob.com/2026-01/shipment:bulkUpdateShippingService
PUT
/2026-01/shipment:bulkUpdateShippingService
$curl -X PUT https://sandbox-api.shipbob.com/2026-01/shipment:bulkUpdateShippingService \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "reason": "Merchant request",
> "requested_shipping_service_id": 5,
> "shipment_ids": [
> 123456,
> 789012
> ]
>}'
1{
2 "summary": {
3 "failed": 0,
4 "successful": 2,
5 "total": 2
6 },
7 "results": [
8 {
9 "error": {},
10 "id": 123456,
11 "is_success": true
12 }
13 ]
14}

Updates the shipping service for multiple shipments in a single request. The requested_shipping_service_id corresponds to the service_level.id value returned by the Get Shipping Methods endpoint.

Was this page helpful?
Previous

Get Shipment by Order ID and Shipment ID

Next

Update Shipment Line Items

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Request

reasonstringRequired
Reason for updating the shipping service
requested_shipping_service_idintegerRequired
ID of the shipping service to assign to the shipments
shipment_idslist of longsRequired
List of shipment IDs to update the shipping service for

Response

OK
summaryobject
Summary of the bulk operation results
resultslist of objects

Per-shipment results of the bulk operation

Errors

400
Bad Request Error